summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/cni-plugins/Manifest1
-rw-r--r--net-misc/cni-plugins/cni-plugins-0.7.5.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/net-misc/cni-plugins/Manifest b/net-misc/cni-plugins/Manifest
index f17b6938bc9..86ba6c6ddbd 100644
--- a/net-misc/cni-plugins/Manifest
+++ b/net-misc/cni-plugins/Manifest
@@ -2,3 +2,4 @@ DIST cni-plugins-0.7.1.tar.gz 862546 BLAKE2B 9d13c616396017e3cb54dfdd5bde2c06d2a
DIST cni-plugins-0.7.2.tar.gz 862552 BLAKE2B 6dfa8842fb86a50610d1d4b512a0d6199ac8c4981dfe609b0be544e1a37b696f15dec2431b6030a4238926685a5f0153840345093e34b1efe218c58a410dd9d5 SHA512 d73a0ffb8e5977781a3f9fa93c1615633f74dfbcfeb78eb4c877992ed30d62b782714620667f14b133348d3c253df3e4219dc7ed5f353c7ec6df6c11c25905dd
DIST cni-plugins-0.7.3.tar.gz 863596 BLAKE2B 8a4eda2b4ac9b6f53fda5a83cdeab4da862f5e48ddc9ae7c08f8ffa4c65c600543fcb968fa42182051a21a7233ea4e3a613aa6ff60d0e971284703de634e90d0 SHA512 d5c9744de2075270dd2a3e87ddf183c12e9f77b2d9df954d266105285042475b2f1f068f0024671f855c3aecc1269e49d6a146dd2f7647df0208aa8a9ec5195f
DIST cni-plugins-0.7.4.tar.gz 862510 BLAKE2B 7ec9ec84614caecaca1583430552bd93606ae1f178f92cb4f7047ab47292084c5102437fbc9fdfe0ebf7043c94bb1b9fbb9d2ac0bc78abadb40da11cdd62b512 SHA512 2ffe18353b525d90679eca4950e96afcaadd7c387956ef5baaf4ce97c0550315fda63403161ab8f23df086955dc2a47da612fb8d0cdd30ccfe12649393e2242c
+DIST cni-plugins-0.7.5.tar.gz 862670 BLAKE2B 17734beabde562cfd52efd479cb24805681a3d8a8abd4fd9fdcf9dbd891b2d5b3026b84a880355388c893db147fd0952786a86716438e140a46cc9a2dfffe0c2 SHA512 7ab43f88b4763907f56ff26d684385e5a3f6314ffb4bcbe356ec33a014fc15207392bd26e2d3041e117c604a386d21841a37d093b04e003303554b03721b32c6
diff --git a/net-misc/cni-plugins/cni-plugins-0.7.5.ebuild b/net-misc/cni-plugins/cni-plugins-0.7.5.ebuild
new file mode 100644
index 00000000000..f875d2d0f72
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.7.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="Standard networking plugins for container networking"
+EGO_PN="github.com/containernetworking/plugins"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+src_compile() {
+ pushd src || die
+ local i
+ for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+ CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}"
+ done
+ popd || die
+}
+
+src_install() {
+ exeinto /opt/cni/bin
+ doexe bin/*
+ pushd src/${EGO_PN} || die
+ dodoc README.md
+ local i
+ for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+ newdoc README.md ${i##*/}.README.md
+ done
+ popd || die
+}